<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: src/core/CL/cl_kernels/types.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('types_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">types.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="types_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef ARM_COMPUTE_TYPES_H</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define ARM_COMPUTE_TYPES_H</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="struct_coordinates2_d.xhtml">   28</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_coordinates2_d.xhtml">Coordinates2D</a></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div><div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="struct_coordinates2_d.xhtml#a6150e0515f7202e2fb518f7206ed97dc">   30</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_coordinates2_d.xhtml#a6150e0515f7202e2fb518f7206ed97dc">x</a>; </div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="struct_coordinates2_d.xhtml#a0a2f84ed7838f07779ae24c5a9086d33">   31</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_coordinates2_d.xhtml#a0a2f84ed7838f07779ae24c5a9086d33">y</a>; </div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;} <a class="code" href="types_8h.xhtml#a01e5153f1ee101314312c0885a1dc968">Coordinates2D</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">/* Keypoint struct */</span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml">   35</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_keypoint.xhtml">Keypoint</a></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a6150e0515f7202e2fb518f7206ed97dc">   37</a></span>&#160;    <span class="keywordtype">int</span>   <a class="code" href="struct_keypoint.xhtml#a6150e0515f7202e2fb518f7206ed97dc">x</a>;               </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a0a2f84ed7838f07779ae24c5a9086d33">   38</a></span>&#160;    <span class="keywordtype">int</span>   <a class="code" href="struct_keypoint.xhtml#a0a2f84ed7838f07779ae24c5a9086d33">y</a>;               </div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a2c1c8f9331368f38bfc3eaee260b59a6">   39</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="struct_keypoint.xhtml#a2c1c8f9331368f38bfc3eaee260b59a6">strength</a>;        </div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a1d28dec57cce925ad92342891bd71e7c">   40</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="struct_keypoint.xhtml#a1d28dec57cce925ad92342891bd71e7c">scale</a>;           </div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a0e3266fc15309697502533db62b682af">   41</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="struct_keypoint.xhtml#a0e3266fc15309697502533db62b682af">orientation</a>;     </div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a7edfed755585d6095522904dbe0ec4d8">   42</a></span>&#160;    <span class="keywordtype">int</span>   <a class="code" href="struct_keypoint.xhtml#a7edfed755585d6095522904dbe0ec4d8">tracking_status</a>; </div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="struct_keypoint.xhtml#a7cfd13d282af770aaa971755fa092fca">   43</a></span>&#160;    <span class="keywordtype">float</span> <a class="code" href="struct_keypoint.xhtml#a7cfd13d282af770aaa971755fa092fca">error</a>;           </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;} <a class="code" href="types_8h.xhtml#a29b97e206612aa5366b3bd3d2f7be322">Keypoint</a>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#endif // ARM_COMPUTE_TYPES_H</span></div><div class="ttc" id="types_8h_xhtml_a01e5153f1ee101314312c0885a1dc968"><div class="ttname"><a href="types_8h.xhtml#a01e5153f1ee101314312c0885a1dc968">Coordinates2D</a></div><div class="ttdeci">struct Coordinates2D Coordinates2D</div><div class="ttdoc">2D Coordinates structure </div></div>
<div class="ttc" id="struct_coordinates2_d_xhtml"><div class="ttname"><a href="struct_coordinates2_d.xhtml">Coordinates2D</a></div><div class="ttdoc">2D Coordinates structure </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00028">types.h:28</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml"><div class="ttname"><a href="struct_keypoint.xhtml">Keypoint</a></div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00035">types.h:35</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a2c1c8f9331368f38bfc3eaee260b59a6"><div class="ttname"><a href="struct_keypoint.xhtml#a2c1c8f9331368f38bfc3eaee260b59a6">Keypoint::strength</a></div><div class="ttdeci">float strength</div><div class="ttdoc">The strength of the keypoint. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00039">types.h:39</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a0a2f84ed7838f07779ae24c5a9086d33"><div class="ttname"><a href="struct_keypoint.xhtml#a0a2f84ed7838f07779ae24c5a9086d33">Keypoint::y</a></div><div class="ttdeci">int y</div><div class="ttdoc">The y coordinate. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00038">types.h:38</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a1d28dec57cce925ad92342891bd71e7c"><div class="ttname"><a href="struct_keypoint.xhtml#a1d28dec57cce925ad92342891bd71e7c">Keypoint::scale</a></div><div class="ttdeci">float scale</div><div class="ttdoc">Initialized to 0 by corner detectors. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00040">types.h:40</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a7cfd13d282af770aaa971755fa092fca"><div class="ttname"><a href="struct_keypoint.xhtml#a7cfd13d282af770aaa971755fa092fca">Keypoint::error</a></div><div class="ttdeci">float error</div><div class="ttdoc">A tracking method specific error. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00043">types.h:43</a></div></div>
<div class="ttc" id="types_8h_xhtml_a29b97e206612aa5366b3bd3d2f7be322"><div class="ttname"><a href="types_8h.xhtml#a29b97e206612aa5366b3bd3d2f7be322">Keypoint</a></div><div class="ttdeci">struct Keypoint Keypoint</div></div>
<div class="ttc" id="struct_coordinates2_d_xhtml_a6150e0515f7202e2fb518f7206ed97dc"><div class="ttname"><a href="struct_coordinates2_d.xhtml#a6150e0515f7202e2fb518f7206ed97dc">Coordinates2D::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">The x coordinate. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00030">types.h:30</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a0e3266fc15309697502533db62b682af"><div class="ttname"><a href="struct_keypoint.xhtml#a0e3266fc15309697502533db62b682af">Keypoint::orientation</a></div><div class="ttdeci">float orientation</div><div class="ttdoc">Initialized to 0 by corner detectors. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00041">types.h:41</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a7edfed755585d6095522904dbe0ec4d8"><div class="ttname"><a href="struct_keypoint.xhtml#a7edfed755585d6095522904dbe0ec4d8">Keypoint::tracking_status</a></div><div class="ttdeci">int tracking_status</div><div class="ttdoc">A zero indicates a lost point. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00042">types.h:42</a></div></div>
<div class="ttc" id="struct_keypoint_xhtml_a6150e0515f7202e2fb518f7206ed97dc"><div class="ttname"><a href="struct_keypoint.xhtml#a6150e0515f7202e2fb518f7206ed97dc">Keypoint::x</a></div><div class="ttdeci">int x</div><div class="ttdoc">The x coordinate. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00037">types.h:37</a></div></div>
<div class="ttc" id="struct_coordinates2_d_xhtml_a0a2f84ed7838f07779ae24c5a9086d33"><div class="ttname"><a href="struct_coordinates2_d.xhtml#a0a2f84ed7838f07779ae24c5a9086d33">Coordinates2D::y</a></div><div class="ttdeci">int y</div><div class="ttdoc">The y coordinate. </div><div class="ttdef"><b>Definition:</b> <a href="types_8h_source.xhtml#l00031">types.h:31</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.xhtml">src</a></li><li class="navelem"><a class="el" href="dir_aebb8dcc11953d78e620bbef0b9e2183.xhtml">core</a></li><li class="navelem"><a class="el" href="dir_8c278f79c760e5c5fbd911f9870614c1.xhtml">CL</a></li><li class="navelem"><a class="el" href="dir_25885286e9dad4fa105b7b25a8031bbf.xhtml">cl_kernels</a></li><li class="navelem"><a class="el" href="types_8h.xhtml">types.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
